## org.codehaus.groovy.ast.expr
Class SpreadMapExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.expr.Expression
              org.codehaus.groovy.ast.expr.SpreadMapExpression

    public class SpreadMapExpression

extends Expression

Represents a spread map expression *:m in the map expression [1, *:m, 2, "c":100] or in the method invoke expression func(1, *:m, 2, "c":100).

Version:
  $Revision: 6778 $

Constructor Summary
`SpreadMapExpression(Expression expression)`

Method Summary
`Expression` `getExpression()`
`String` `getText()`
`ClassNode` `getType()`
`Expression` `transformExpression(ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions
`void` `visit(GroovyCodeVisitor visitor)`

Methods inherited from class org.codehaus.groovy.ast.expr.Expression
`setType, transformExpressions`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpreadMapExpression

    public SpreadMapExpression(Expression expression)

Method Detail

### getExpression

    public Expression getExpression()

### visit

    public void visit(GroovyCodeVisitor visitor)

  Overrides:
    `visit` in class `ASTNode`

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

  Description copied from class: `Expression`
  Return a copy of the expression calling the transformer on any nested expressions

  Specified by:
    `transformExpression` in class `Expression`

### getText

    public String getText()

  Overrides:
    `getText` in class `ASTNode`

### getType

    public ClassNode getType()

  Overrides:
    `getType` in class `Expression`

Copyright © 2003-2008 The Codehaus. All rights reserved.